# module ActiveRecord

### Constants

MigrationProxy

  MigrationProxy is used to defer loading of the actual migration classes until they are needed

Point
UnknownAttributeError

  Raised when unknown attributes are supplied via mass assignment.

### Public Class Methods

eager_load!() click to toggle source
Calls superclass method

    # File lib/active_record.rb, line 165
    def self.eager_load!
      super
      ActiveRecord::Locking.eager_load!
      ActiveRecord::Scoping.eager_load!
      ActiveRecord::Associations.eager_load!
      ActiveRecord::AttributeMethods.eager_load!
      ActiveRecord::ConnectionAdapters.eager_load!
    end

gem_version() click to toggle source

Returns the version of the currently loaded Active Record as a `Gem::Version`

    # File lib/active_record/gem_version.rb, line 3
    def self.gem_version
      Gem::Version.new VERSION::STRING
    end

version() click to toggle source

Returns the version of the currently loaded ActiveRecord as a `Gem::Version`

    # File lib/active_record/version.rb, line 5
    def self.version
      gem_version
    end